Subject: Re: patch submission process, was Re: [PATCH v6 06/16] merge_recursive: abort properly upon errors

From: Eric Wong <[email-masked]>
Date: Fri, 5 Aug 2016 18:46:56 +0000

Johannes Schindelin <[email-masked]> wrote:
> On Thu, 4 Aug 2016, Stefan Beller wrote:
> > git send-email/format-patch recently learned to include a base commit
> 
> You may have noticed that my mail-patch-series.sh-generated code
> submissions contain that base commit. But they still do not contain the
> SHA-1s of my local commits corresponding to the patches, and even if they
> did, the replies with suggested edits would most likely have lost said
> information.
> 
> I also hate to break it to you that git-send-email is not going to be part
> of any solution.

I think it ought to be.  Some reasons I like emailing patches are:

* there's no taking it back once it's sent

* it's backed up within seconds by thousands of subscribers :)

* doesn't require the reader to have an active connection
  to fetch out-of-band

* doesn't require the reader to be on the same machine capable
  of cloning/building the project

There are times when I've been on a slow machine, or offline
when I wanted to read some patches.

However, I do like including a pull request in cover letters
of a patch series (not necessary for one-offs).

But on a side note, I also find it depressing that SMTP is
uncompressed and TLS compression is (still?) unsafe.  At least I
use ssh tunnels w/ compression for IMAP/SMTP to my own server.